org.apache.ivy.ant

## Class IvyPostResolveTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.ivy.ant.IvyTask
      - - org.apache.ivy.ant.IvyPostResolveTask

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  FixDepsTask, IvyArtifactProperty, IvyArtifactReport, IvyCacheTask, IvyDependencyTree, IvyDependencyUpdateChecker, IvyRetrieve

    public abstract class IvyPostResolveTask
    extends IvyTask

Base class for tasks needing to be performed after a resolve.

### Field Summary

### Fields inherited from class org.apache.ivy.ant.IvyTask

`ANT_PROJECT_CONTEXT_KEY`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`IvyPostResolveTask()`

### Method Summary

Methods
`IvyConflict` `createConflict()`
`IvyDependency` `createDependency()`
`IvyExclude` `createExclude()`
`protected void` `ensureResolved(IvySettings settings)`
`Filter` `getArtifactFilter()`
`java.lang.String` `getBranch()`
`java.lang.String` `getConf()`
`protected java.lang.String[]` `getConfsToResolve(java.lang.String resolveId, java.lang.String conf)`
`protected java.lang.String[]` `getConfsToResolve(java.lang.String org, java.lang.String module, java.lang.String conf, boolean strict)`
`java.io.File` `getFile()`
`java.lang.String` `getLog()`
`java.lang.String` `getModule()`
`java.lang.String` `getOrganisation()`
`protected ModuleId` `getResolvedModuleId()`
`protected ModuleRevisionId` `getResolvedMrid()`
`protected ResolveReport` `getResolvedReport()`
`java.lang.String` `getResolveId()`
`java.lang.String` `getResolveMode()`
`java.lang.String` `getRevision()`
`java.lang.String` `getType()`
`boolean` `isChanging()`
`boolean` `isHaltonfailure()`
`boolean` `isInline()`
`boolean` `isKeep()`
`boolean` `isRefresh()`
`boolean` `isTransitive()`
`boolean` `isUseOrigin()`
`protected void` `prepareAndCheck()`
`void` `setBranch(java.lang.String branch)`
`void` `setCache(java.io.File cache)`
`void` `setChanging(boolean changing)`
`void` `setConf(java.lang.String conf)`
`void` `setFile(java.io.File file)`
`void` `setHaltonfailure(boolean haltOnFailure)`
`void` `setInline(boolean inline)`
`void` `setKeep(boolean keep)`
`void` `setLog(java.lang.String log)`
`void` `setModule(java.lang.String module)`
`void` `setOrganisation(java.lang.String organisation)`
`void` `setRefresh(boolean refresh)`
`void` `setResolveId(java.lang.String resolveId)`
`void` `setResolveMode(java.lang.String resolveMode)`
`void` `setRevision(java.lang.String rev)`
`void` `setTransitive(boolean transitive)`
`void` `setType(java.lang.String type)`
`protected IvyResolve` `setupResolve(boolean haltOnFailure, boolean useOrigin)`
`void` `setUseOrigin(boolean useOrigin)`

### Methods inherited from class org.apache.ivy.ant.IvyTask

`cacheAttributeNotSupported, doExecute, doValidate, execute, finalizeTask, getIvyInstance, getProperty, getProperty, getProperty, getProperty, getPubDate, getResolvedConfigurations, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedReport, getSettings, getSettingsRef, isValidate, mergeConfs, prepareTask, setResolved, setResolved, setSettingsRef, setValidate, splitConfs, toString`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IvyPostResolveTask

    public IvyPostResolveTask()

### Method Detail

#### isUseOrigin

    public boolean isUseOrigin()

#### setUseOrigin

    public void setUseOrigin(boolean useOrigin)

#### getLog

    public java.lang.String getLog()

#### setLog

    public void setLog(java.lang.String log)

#### createDependency

    public IvyDependency createDependency()

#### createExclude

    public IvyExclude createExclude()

#### createConflict

    public IvyConflict createConflict()

#### prepareAndCheck

    protected void prepareAndCheck()

#### ensureResolved

    protected void ensureResolved(IvySettings settings)

#### getConfsToResolve

    protected java.lang.String[] getConfsToResolve(java.lang.String org,
                                       java.lang.String module,
                                       java.lang.String conf,
                                       boolean strict)

#### getConfsToResolve

    protected java.lang.String[] getConfsToResolve(java.lang.String resolveId,
                                       java.lang.String conf)

#### setupResolve

    protected IvyResolve setupResolve(boolean haltOnFailure,
                          boolean useOrigin)

#### getResolvedMrid

    protected ModuleRevisionId getResolvedMrid()

#### getResolvedModuleId

    protected ModuleId getResolvedModuleId()

#### getResolvedReport

    protected ResolveReport getResolvedReport()

#### getType

    public java.lang.String getType()

#### setType

    public void setType(java.lang.String type)

#### getConf

    public java.lang.String getConf()

#### setConf

    public void setConf(java.lang.String conf)

#### getModule

    public java.lang.String getModule()

#### setModule

    public void setModule(java.lang.String module)

#### getOrganisation

    public java.lang.String getOrganisation()

#### setOrganisation

    public void setOrganisation(java.lang.String organisation)

#### getBranch

    public java.lang.String getBranch()

#### setBranch

    public void setBranch(java.lang.String branch)

#### isHaltonfailure

    public boolean isHaltonfailure()

#### setHaltonfailure

    public void setHaltonfailure(boolean haltOnFailure)

#### setCache

    public void setCache(java.io.File cache)

#### getRevision

    public java.lang.String getRevision()

#### setRevision

    public void setRevision(java.lang.String rev)

#### getArtifactFilter

    public Filter getArtifactFilter()

#### isTransitive

    public boolean isTransitive()

#### setTransitive

    public void setTransitive(boolean transitive)

#### isInline

    public boolean isInline()

#### setInline

    public void setInline(boolean inline)

#### setResolveId

    public void setResolveId(java.lang.String resolveId)

#### getResolveId

    public java.lang.String getResolveId()

#### setFile

    public void setFile(java.io.File file)

#### getFile

    public java.io.File getFile()

#### setKeep

    public void setKeep(boolean keep)

#### isKeep

    public boolean isKeep()

#### setChanging

    public void setChanging(boolean changing)

#### isChanging

    public boolean isChanging()

#### setRefresh

    public void setRefresh(boolean refresh)

#### isRefresh

    public boolean isRefresh()

#### getResolveMode

    public java.lang.String getResolveMode()

#### setResolveMode

    public void setResolveMode(java.lang.String resolveMode)